> ## Documentation Index
> Fetch the complete documentation index at: https://docs.easybilling.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# download pdf



## OpenAPI

````yaml /billing.openapi.json get /template-engine/api/pdf/{id}
openapi: 3.1.0
info:
  title: Billing
  description: |+

  version: 1.0.0
  summary: ''
servers:
  - url: https://sbx.api.easybilling.cloud/billing
    description: SBX
  - url: https://api.easybilling.cloud/billing
    description: Production-AWS
security:
  - token: []
tags:
  - name: account
  - name: payment method
  - name: contract action
  - name: usage event
  - name: billing document
  - name: invoice pdf
  - name: prepaid credits
  - name: customer portal
paths:
  /template-engine/api/pdf/{id}:
    get:
      tags:
        - invoice pdf
      summary: download pdf
      parameters:
        - name: id
          in: path
          description: the id of pdf document to be downloaded
          required: true
          example: ''
          schema:
            type: string
        - name: trace-id
          in: header
          description: ''
          required: false
          example: '{{$string.uuid}}'
          schema:
            type: string
            default: '{{$string.uuid}}'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties: {}
            examples: {}
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
          headers: {}
      deprecated: false
      security:
        - token: []
components:
  securitySchemes:
    token:
      type: http
      scheme: bearer

````